/*******************************************************************************
 * FoxAIAction_FreezeMovement generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxAIAction_FreezeMovement extends FoxAIAction_Sleep
    native(AI)
    editinlinenew
    hidecategories(Object);

var() bool bStopMovement;
var() bool bStopRotation;

// Export UFoxAIAction_FreezeMovement::execInitialize(FFrame&, void* const)
native function bool Initialize();

// Export UFoxAIAction_FreezeMovement::execGetLookTarget(FFrame&, void* const)
native function Vector GetLookTarget();

// Export UFoxAIAction_FreezeMovement::execGetRotationTarget(FFrame&, void* const)
native function Vector GetRotationTarget();

defaultproperties
{
    bStopMovement=true
    bStopRotation=true
}